import request from '@/utils/request'

// sop信息分页查询
export function getIsSopPage(query) {
    return request({
        url: '/iscs/sop/getIsSopPage',
        method: 'get',
        params: query
    })
}

// 新增sop信息 /iscs/sop/insertIsSop
export function addinsertIsSop(data) {
    return request({
        url: '/iscs/sop/insertIsSop',
        method: 'post',
        data: data
    })
}
// 新增sop 开启人员选择功能 获取人员选项
export function SopUser(query) {
  return request({
    url: '/system/role/authUser/allocatedListByRoleKey',
    method: 'get',
    params: query
  })
}
// 修改sop信息 /dev-api/iscs/sop/updateIsSop
export function updateIsSop(data) {
    return request({
        url: '/iscs/sop/updateIsSop',
        method: 'post',
        data: data
    })
}

// 删除sop信息 /dev-api/iscs/sop/deleteIsSopBySopIds
export function deleteIsSopBySopIds(data) {
    return request({
        url: '/iscs/sop/deleteIsSopBySopIds?sopIds=' + data,
        method: 'post',
    })
}

// 获取SOP详细信息/dev-api/iscs/sop/selectIsSopById
export function selectIsSopById(query) {
    return request({
        url: '/iscs/sop/selectIsSopById?sopId=' + query,
        method: 'get',
    })
}

// 修改SOP信息排序/dev-api/iscs/sop/selectIsSopById
export function updateIsSopIndexAPI(query) {
  return request({
    url: '/iscs/sop/updateIsSopIndex' ,
    method: 'post',
    data: query
  })
}
